API ReferenceMerchant API
Cancel a payout.
Cancels a payout in pending_approval or approved status. Payouts
that are already processing or completed cannot be cancelled.
X-API-Key<token>
API key issued by the merchant dashboard. The key's environment (live/test) determines which data the caller can access. Permissions on the key control which endpoints are reachable.
In: header
Path Parameters
payoutIDstring
Payout UUID.
Format
uuidResponse Body
fetch("https://api.halfin.xyz/api/v1/payouts/497f6eca-6276-4993-bfeb-53cbbbba6f08/cancel", { method: "POST"}){
"data": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"currency": "string",
"network": "string",
"amount": "string",
"amount_in_base_currency": "string",
"network_fee": "string",
"fee_amount": "string",
"destination": "string",
"destination_tag": "string",
"status": "pending_approval",
"environment": "live",
"tx_hash": "string",
"idempotency_key": "string",
"description": "string",
"executable_at": "2019-08-24T14:15:22Z",
"completed_at": "2019-08-24T14:15:22Z",
"created_at": "2019-08-24T14:15:22Z"
},
"meta": {
"request_id": "string"
}
}{
"error": {
"code": "string",
"message": "string",
"details": [
"string"
]
},
"meta": {
"request_id": "string"
}
}{
"error": {
"code": "string",
"message": "string",
"details": [
"string"
]
},
"meta": {
"request_id": "string"
}
}{
"error": {
"code": "string",
"message": "string",
"details": [
"string"
]
},
"meta": {
"request_id": "string"
}
}{
"error": {
"code": "string",
"message": "string",
"details": [
"string"
]
},
"meta": {
"request_id": "string"
}
}{
"error": {
"code": "string",
"message": "string",
"details": [
"string"
]
},
"meta": {
"request_id": "string"
}
}{
"error": {
"code": "string",
"message": "string",
"details": [
"string"
]
},
"meta": {
"request_id": "string"
}
}